Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Results

All Superinterfaces:
  Graph.BaseResults<Node>, Iterable<Node>

    @Immutable
    public interface Results

extends Graph.BaseResults<Node>

A set of nodes returned from a `graph`, with methods to access the properties and children of the nodes in the result. The `Iterable.iterator()` method can be used to iterate all over the nodes in the result.

Method Summary
`Graph` | `getGraph()` Get the graph containing the node.
`Node` | `getNode(Location location)` Get the node at the supplied location.
`Node` | `getNode(Path path)` Get the node at the supplied location.
`Node` | `getNode(String path)` Get the node at the supplied location.
`List<Request>` | `getRequests()` Get the requests that were executed as part of these results.
`boolean` | `includes(Location location)` Return whether this subgraph has a node at the supplied location.
`boolean` | `includes(Path path)` Return whether this subgraph has a node at the supplied location.
`boolean` | `includes(String path)` Return whether these results include a node at the supplied location.

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### getGraph

    Graph getGraph()

  Get the graph containing the node.

  Specified by:
    `getGraph` in interface `Graph.BaseResults<Node>`
  Returns:
    the graph

### getNode

    Node getNode(String path)

  Get the node at the supplied location.

  Specified by:
    `getNode` in interface `Graph.BaseResults<Node>`
  Parameters:
    `path` - the path of the node in these results
  Returns:
    the node, or null if the node is not `included` in these results

### getNode

    Node getNode(Path path)

  Get the node at the supplied location.

  Specified by:
    `getNode` in interface `Graph.BaseResults<Node>`
  Parameters:
    `path` - the path of the node in these results
  Returns:
    the node, or null if the node is not `included` in these results

### getNode

    Node getNode(Location location)

  Get the node at the supplied location.

  Specified by:
    `getNode` in interface `Graph.BaseResults<Node>`
  Parameters:
    `location` - the location of the node
  Returns:
    the node, or null if the node is not `included` in these results

### includes

    boolean includes(String path)

  Return whether these results include a node at the supplied location.

  Specified by:
    `includes` in interface `Graph.BaseResults<Node>`
  Parameters:
    `path` - the path of the node in these results
  Returns:
    true if this subgraph includes the supplied location, or false otherwise

### includes

    boolean includes(Path path)

  Return whether this subgraph has a node at the supplied location.

  Specified by:
    `includes` in interface `Graph.BaseResults<Node>`
  Parameters:
    `path` - the path of the node in these results
  Returns:
    true if these results includes the supplied location, or false otherwise

### includes

    boolean includes(Location location)

  Return whether this subgraph has a node at the supplied location.

  Specified by:
    `includes` in interface `Graph.BaseResults<Node>`
  Parameters:
    `location` - the location of the node in these results
  Returns:
    true if these results includes the supplied location, or false otherwise

### getRequests

    List<Request> getRequests()

  Get the requests that were executed as part of these results.

  Returns:
    the requests; never null, but possibly empty if there were no results when execute was called

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.